BlitzReels
BlitzReelsDocumentation
API Reference
POST
/projects/{projectId}/editor-commands/undo

Undo a saved editor action at the expected revision.

Authorization

ApiKeyAuth
Authorization<token>

Use Bearer br_live_....

In: header

Path Parameters

projectId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/projects/string/editor-commands/undo" \  -H "Content-Type: application/json" \  -d '{    "actionId": "string",    "expectedRevision": 0  }'
{  "projectId": "string",  "revision": 0,  "baseRevision": 0,  "mutationReceiptId": "string",  "replayed": true,  "affectedTimelineItemIds": [    "string"  ],  "createdTimelineItemIds": [    "string"  ],  "deletedTimelineItemIds": [    "string"  ],  "warnings": [    "string"  ],  "result": {    "property1": null,    "property2": null  }}